﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Login.aspx.vb" Inherits="ommobile.Login" %>

<%@ Register TagPrefix="OM" TagName="Header" Src="Header.ascx" %>
<%@ Register TagPrefix="OM" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="OM" TagName="Assets" Src="Assets.ascx" %>
<!DOCTYPE html>
<html>
<head>
	<link rel="icon" href="Images/om.png" type="image/png" sizes="16x16" />
	<title>OM</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<OM:Assets runat="server" ID="assets"></OM:Assets>
</head>
<body>
	<OM:Header runat="server" ID="header" Title="Outlook Messenger" />
	<!-- /header -->
	<div data-role="content">
		<form action="Login.aspx" method="post" data-ajax="false">
		<div data-role="fieldcontain">
			<label for="username">
				Username:</label>
			<input type="text" name="username" id="username" value="<%=_UserName%>" />
		</div>
		<div data-role="fieldcontain">
			<label for="password">
				Password:</label>
			<input type="password" name="password" id="password" value="<%=_PassWord%>" />
		</div>
		<div data-role="fieldcontain">
			<fieldset data-role="controlgroup" data-type="horizontal">
				<legend>Stay signed in:</legend>
				<input type="radio" name="rememberme" id="rememberme-on" value="on" <%=IIF(_IsRememberMe,"checked","")%> />
				<label for="rememberme-on">
					Yes</label>
				<input type="radio" name="rememberme" id="rememberme-off" value="off"  <%=IIF(_IsRememberMe=False,"checked","")%> " />
				<label for="rememberme-off">
					No</label></fieldset>
		</div>
		<%If String.IsNullOrEmpty(Request("error")) = False Then%>
		<div data-role="fieldcontain">
			<label for="error" style="color: Red">
				<%=Request("error")%></label>
		</div>
		<%End If%>
		<div data-role="fieldcontain">
			<input type="hidden" name="issubmit" value="false" />
			<input type="submit" name="submit" value="Submit" />
		</div>
		</form>
	</div>
	<!-- /content -->
	<OM:Footer runat="server" ID="footer"></OM:Footer>
	
	<!-- /footer -->
	<script type="text/javascript">
	

		 $( '#OM' ).live( 'pageinit',function(event){  
	$("#username").focus(); 
}); 
		$("form").submit(function () {
			$("span:last").text("Validated...").show();
			var err="";
			if($.trim($("#username").val())=="") {
				err+="Username is required\n";
			}
			if($.trim($("#password").val())=="") {
				err+="Password is required";
			}
			if($.trim(err)!="") {
				$("span:last").text("Submit").show();
				alert(err);
				return false;
			}
			$(":input[name='issubmit']").val("true");
			return true;
		});
	</script>
</body>
</html>
